java.lang

## Interface Iterable<T>

- Type Parameters:
    `T` - the type of elements returned by the iterator
  All Known Subinterfaces:
    BlockingDeque<E>, BlockingQueue<E>, Collection<E>, Deque<E>, List<E>, NavigableSet<E>, Queue<E>, Set<E>, SortedSet<E>, TransferQueue<E>
  All Known Implementing Classes:
    AbstractCollection, AbstractList, AbstractQueue, AbstractSequentialList, AbstractSet, ArrayBlockingQueue, ArrayDeque, ArrayList, ConcurrentLinkedDeque, ConcurrentLinkedQueue, ConcurrentSkipListSet, CopyOnWriteArrayList, CopyOnWriteArraySet, DelayQueue, EnumSet, HashSet, LinkedBlockingDeque, LinkedBlockingQueue, LinkedHashSet, LinkedList, LinkedTransferQueue, PriorityBlockingQueue, PriorityQueue, ServiceLoader, Stack, SynchronousQueue, TreeSet, Vector

      public interface Iterable<T>

  Implementing this interface allows an object to be the target of the "for-each loop" statement. See For-each Loop
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `forEach(Consumer<? super T> action)` Performs the given action for each element of the `Iterable` until all elements have been processed or the action throws an exception.
    `Iterator<T>` | `iterator()` Returns an iterator over elements of type `T`.
    `default Spliterator<T>` | `spliterator()` Creates a `Spliterator` over the elements described by this `Iterable`.

- - ### Method Detail

    - #### iterator

          Iterator<T> iterator()

      Returns an iterator over elements of type `T`.
      Returns:
        an Iterator.

    - #### forEach

          default void forEach(Consumer<? super T> action)

      Performs the given action for each element of the `Iterable` until all elements have been processed or the action throws an exception. Unless otherwise specified by the implementing class, actions are performed in the order of iteration (if an iteration order is specified). Exceptions thrown by the action are relayed to the caller.
      Parameters:
        `action` - The action to be performed for each element
      Throws:
        `NullPointerException` - if the specified action is null
      Since:
        1.8

    - #### spliterator

          default Spliterator<T> spliterator()

      Creates a `Spliterator` over the elements described by this `Iterable`.
      Returns:
        a `Spliterator` over the elements described by this `Iterable`.
      Since:
        1.8

Copyright © 2025 API Design. All Rights Reserved.